
		$(document).ready(function(){
			//reload all iFrames
			var mHome = $("#home");
			var mForward = $("#forward");
			var mBackward = $("#backward");
			var mTaschenrechner= $("#taschenrechner");
			var mWaehrungsrechner = $("#waehrungsrechner");
			
			//Operationen
			var mAddieren = $("#addition");
			var mSubtrahieren = $("#subtraktion");
			var mMultiplizieren = $("#multiplikation");
			var mDividieren = $("#division");
			var mUmrechnen = $("#umrechnen");
			
			//Textfelder für Eingaben
			var mZahl1 = $("#zahl1");
			var mZahl2 = $("#zahl2");
			var mBetrag = $("#betrag");
			var mWaehrung1 = $("#waehrung1");
			var mWaehrung2 = $("#waehrung2");
						
			//Methoden: Verhaltensweisen
			onClick(mHome);
			onClick(mForward);
			onClick(mBackward);
			onClick(mTaschenrechner);
			onClick(mWaehrungsrechner);
			onClickAddieren(mAddieren,mZahl1,mZahl2);
			onClickSubtrahieren(mSubtrahieren,mZahl1,mZahl2);
			onClickMultiplizieren(mMultiplizieren,mZahl1,mZahl2);
			onClickDividieren(mDividieren,mZahl1,mZahl2);
			onClickUmrechnen(mUmrechnen, mBetrag, mWaehrung1, mWaehrung2);
		});		
		

function onClick(pOperation){
	var operation = pOperation;
	operation.click(function(){
		$('#iframe').contentWindow.location.reload(true);
	});
};
	
function onClickAddieren(pOperation, pZahl1, pZahl2){
	var operation = pOperation;
	var ergebnis = 0;
	operation.click(function(){
		var zahl1 = parseFloat(pZahl1.val().replace(',','.'));
		var zahl2 = parseFloat(pZahl2.val().replace(',','.'));

		if(jQuery.isNumeric(zahl1) && jQuery.isNumeric(zahl2)){
			ergebnis = zahl1 + zahl2;			
			alert("Zahl 1: " +zahl1+ "\n" + "Zahl 2: " +zahl2+ "\n" + "Summe: " +ergebnis  );		
			$("#ergebnis").val(ergebnis);
		}else{
			alert("Eine Berechnung kann nur mit einem nummerischen Wert durchgeführt werden!");
		}		

	});
};

function onClickSubtrahieren(pOperation, pZahl1, pZahl2){
	var operation = pOperation;
	var ergebnis = 0;
	operation.click(function(){
		var zahl1 = parseFloat(pZahl1.val().replace(',','.'));
		var zahl2 = parseFloat(pZahl2.val().replace(',','.'));
		if(jQuery.isNumeric(zahl1) && jQuery.isNumeric(zahl2)){		
			ergebnis = zahl1 - zahl2;			
			alert("Zahl 1: " +zahl1+ "\n" + "Zahl 2: " +zahl2+ "\n" + "Differenz: " +ergebnis  );		
			$("#ergebnis").val(ergebnis);
		}else{
			alert("Eine Berechnung kann nur mit nummerischen Werten durchgeführt werden!");
		}
	});
};

function onClickMultiplizieren(pOperation, pZahl1, pZahl2){
	var operation = pOperation;
	var ergebnis = 0;
	operation.click(function(){
		var zahl1 = parseFloat(pZahl1.val().replace(',','.'));
		var zahl2 = parseFloat(pZahl2.val().replace(',','.'));
		if(jQuery.isNumeric(zahl1) && jQuery.isNumeric(zahl2)){	
			ergebnis = zahl1 * zahl2;			
			alert("Zahl 1: " +zahl1+ "\n" + "Zahl 2: " +zahl2+ "\n" + "Produkt: " +ergebnis);		
			$("#ergebnis").val(ergebnis);
		}else{
			alert("Eine Berechnung kann nur mit nummerischen Werten durchgeführt werden!");
		}
	});
};

function onClickDividieren(pOperation, pZahl1, pZahl2){
	var operation = pOperation;
	var ergebnis = 0;
	operation.click(function(){
		var zahl1 = parseFloat(pZahl1.val().replace(',','.'));
		var zahl2 = parseFloat(pZahl2.val().replace(',','.'));
		if(jQuery.isNumeric(zahl1) && jQuery.isNumeric(zahl2)){
			if(zahl2 == 0){
				alert("Eine Division durch Null ist nicht möglich!");
				ergebnis ="Infinity";	
			}else{
				ergebnis = zahl1 / zahl2;				
			}
			alert("Zahl 1: " +zahl1+ "\n" + "Zahl 2: " +zahl2+ "\n" + "Quotient: " +ergebnis  );
			$("#ergebnis").val(ergebnis);
		}else{
			alert("Eine Berechnung kann nur mit nummerischen Werten durchgeführt werden!");			
		}
	});
};

function onClickUmrechnen(pOperation, pBetrag, pWaehrung1, pWaehrung2){
	var operation = pOperation;
	var zielwaehrung = 0;
	var meldung = null;
	var wk_index = 0;
		
	//Kurse vom 4.3.2014
	var wechselkurs = new Array();
	wechselkurs[0] = 1.00; // w1 == w2
	wechselkurs[1] = 0.82; //Euro (EUR) - Britisches Pfund (GBP)
	wechselkurs[2] = 1.37; //Euro (EUR) - US Dollar (USD)
	wechselkurs[3] = 140.71; //Euro (EUR) - Japanischer Yen (JPY)
	wechselkurs[4] = 1.21; //Britisches Pfund (GBP) - Euro (EUR)
	wechselkurs[5] = 1.67; //Britisches Pfund (GBP) - US Dollar (USD)
	wechselkurs[6] = 169.55; //Britisches Pfund (GBP) - Japanischer Yen (JPY)
	wechselkurs[7] = 0.73; //US Dollar (USD) - Euro (EUR)
	wechselkurs[8] = 0.60; //US Dollar (USD) - Britisches Pfund (GBP)
	wechselkurs[9] = 101.39; //US Dollar (USD) - Japanischer Yen (JPY)
	wechselkurs[10] = 0.01; //Japanischer Yen (JPY) - Euro (EUR)
	wechselkurs[11] = 0.01; //Japanischer Yen (JPY) - Britisches Pfund (GBP)
	wechselkurs[12] = 0.01; //Japanischer Yen (JPY) - US Dollar (USD)
		
	var waehrung = new Array();
	waehrung[0] = "Keine Währung";
	waehrung[1] = "Euro (EUR)";
	waehrung[2] = "Britisches Pfund (GBP)";
	waehrung[3] = "US Dollar (USD)";
	waehrung[4] = "Japanischer Yen (JPY)";	
		
	operation.click(function(){
		//Eingabe
		var ausgangswaehrung = parseFloat(pBetrag.val().replace(',','.'));
		
		if(jQuery.isNumeric(ausgangswaehrung)){			
			var waehrung1 = parseFloat(pWaehrung1.val());
			var waehrung2 = parseFloat(pWaehrung2.val());
		
			//Verarbeitung			
			if(waehrung1 == waehrung2){
				//Euro (EUR) - Euro (EUR) || 
				//Britisches Pfund (GBP) - Britisches Pfund (GBP) || 
				//US Dollar (USD) - US Dollar (USD) || 
				//Japanischer Yen (JPY) - Japanischer Yen (JPY) 					
				wk_index = 0;
			}else if(waehrung1 == 1 && waehrung2 == 2){
				//Euro (EUR) - Britisches Pfund (GBP)
				wk_index = 1;
			}else if(waehrung1 == 1 && waehrung2 == 3){
				//Euro (EUR) - US Dollar (USD)
				wk_index = 2;
			}else if(waehrung1 == 1 && waehrung2 == 4){
				//Euro (EUR) - Japanischer Yen (JPY)
				wk_index = 3;
			}else if(waehrung1 == 2 && waehrung2 == 1){
				//Britisches Pfund (GBP) - Euro (EUR)
				wk_index = 4;
			}else if(waehrung1 == 2 && waehrung2 == 3){
				//Britisches Pfund (GBP) - US Dollar (USD)
				wk_index = 5;
			}else if(waehrung1 == 2 && waehrung2 == 4){
				//Britisches Pfund (GBP) - Japanischer Yen (JPY)
				wk_index = 6;
			}else if(waehrung1 == 3 && waehrung2 == 1){
				//US Dollar (USD) - Euro (EUR)
				wk_index = 7;
			}else if(waehrung1 == 3 && waehrung2 == 2){
				//US Dollar (USD) - Britisches Pfund (GBP)
				wk_index = 8;
			}else if(waehrung1 == 3 && waehrung2 == 4){
				//US Dollar (USD) - Japanischer Yen (JPY)
				wk_index = 9;
			}else if(waehrung1 == 4 && waehrung2 == 1){
				//Japanischer Yen (JPY) - Euro (EUR)
				wk_index = 10;
			}else if(waehrung1 == 4 && waehrung2 == 2){
				//Japanischer Yen (JPY) - Britisches Pfund (GBP)
				wk_index = 11;
			}else if(waehrung1 == 4 && waehrung2 == 3){
				//Japanischer Yen (JPY) - US Dollar (USD)
				wk_index = 12;
			}else{
				meldung = "Für Ihre Wahl ist die Umrechnung nicht konfiguriert!";
			}
			
			
			zielwaehrung =  Math.round((ausgangswaehrung * wechselkurs[wk_index])*100)
			/ 100 + " " + waehrung[waehrung2];
			ausgangswaehrung = ausgangswaehrung + " " + waehrung[waehrung1];
			meldung = waehrung[waehrung1] + " - " + waehrung[waehrung2];
		
			//Ausgabe
			alert(meldung + "\n\n" + "Wechselkurs: " 
			+ wechselkurs[wk_index] 
			+ "\n" + "Ausgangswährung: " +ausgangswaehrung + "\n" 
			+ "Zielwährung: " +zielwaehrung);		
			$("#zielwaehrung").val(zielwaehrung);
		}else{
			alert("Eine Berechnung kann nur mit nummerischen Werten durchgeführt werden!");
		}
	});
};

